<?php
/**
* The template for displaying archive pages
* If you'd like to further customize these archive views, you may create a
*
* @package ThemeHunk
* @subpackage Oneline Lite
* @since Oneline Lite 1.0
*/
?>
<?php get_header(); ?>
<div class="page-title">
    <div class="svg-bottom-container" style="fill:#F7F7F7 ">
        <svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 100 100" preserveAspectRatio="none">
        <path d="M0 0 L100 0 L100 2 L0 100 Z"></path>
    </svg>
</div>
<div data-center="background-position: 50% 0px;" data-top-bottom="background-position: 50% -100px;" class="demo-image" style="background-image:url('<?php echo oneline_lite_page_thumb(); ?>')">
    <div class="overlay-demo"></div>
    <div class="full-fs-caption">
        <div class="caption-container">
			<div class="archive-title">
		<?php
			if ( is_day() ) :
				printf( __( '<h1>Daily Archives : %s</h1>', 'oneline-lite' ), get_the_date() );
			elseif ( is_month() ) :
				printf( __( '<h1>Monthly Archives : %s</h1>', 'oneline-lite' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'oneline-lite' ) ) );
			elseif ( is_year() ) :
				printf( __( '<h1>Yearly Archives : %s</h1>', 'oneline-lite' ), get_the_date( _x( 'Y', 'yearly archives date format', 'oneline-lite' ) ) );
			else :
			printf( __( '<h1>Archives : %s</h1>', 'oneline-lite' ), single_cat_title( '', false ) );
			endif;
		?>
	</div>
	</div>
    </div>
</div>
<div class="svg-top-container" style="fill:#F7F7F7;">
    <svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 100 100" preserveAspectRatio="none">
    <g transform="translate(0,-952.36218)"><path d="m 0,1052.3622 100,0 0,-2 L 952.36218,100 z"></path></g>
</svg>
</div>
</div>
<div class="svg-service-bottom-container" style="fill:#F7F7F7 ">
      <svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 100 100" preserveAspectRatio="none">
        <path d="M0 0 L100 0 L100 2 L0 100 Z"></path>
      </svg>
 </div>
<div id="page" class="clearfix right">
<div class="content-wrapper">
	<!-- Content Start -->
	<div class="content">
	<div class="blog-content">

		<?php if (have_posts()) : ?>
		<div id="main">
			<ul class="load_post standard-layout">
				<?php get_template_part('loop', 'blog'); ?>
			</ul>
		</div>
		<?php
		else :
		get_template_part( 'content', 'none' );
		endif;
		?>
		</div>
	</div>
</div>	
	<div class="sidebar-wrapper">
		<?php get_sidebar(); ?>
	</div>
</div><!-- Content End -->
<?php get_footer(); ?>