<?php
 /**
 * Enable support for Post Thumbnails on posts and pages.
 *
 * @param  
 * @return mixed|string
 */

    add_theme_support('post-thumbnails');
    /* Set the image size by cropping the image */
      /* Set the image size by cropping the image */
   add_image_size( 'oneline-lite-custom-blog', 275, 184, true );
   add_image_size( 'oneline-lite-recent-post', 90, 90, true );
// only post format search
function oneline_lite_search_filter($query) {
	if ($query->is_search) {
	$query->set('post_type', 'post');
	}
	return $query;
}
	add_filter('pre_get_posts','oneline_lite_search_filter');

if ( ! function_exists( 'oneline_lite_the_custom_logo' ) ) :
/**
 * Displays the optional custom logo.
 *
 * Does nothing if the custom logo is not available.
 *
 */
function oneline_lite_the_custom_logo() {
    if ( function_exists( 'the_custom_logo' ) ) {
        the_custom_logo();
    }
}
endif;


/*
 * Custom header menu
*/

add_action( 'after_setup_theme', 'oneline_lite_register_theme_menu' );
function oneline_lite_register_theme_menu() {
  register_nav_menus( 
    array(
        'home-menu'     => __( 'Front Menu', 'oneline-lite' ),
        'frontpage-menu' => __( 'Main Menu', 'oneline-lite' ),
    ) );
}
    function oneline_lite_nav_menu(){
        wp_nav_menu( array('theme_location' => 'home-menu', 
        'container' => false, 
            'menu_class' => 'menu', 
            'menu_id'         => 'menu',
            'fallback_cb'     => 'oneline_lite_wp_page_menu'));
    }

    function oneline_lite_front_nav_menu(){
        wp_nav_menu( array('theme_location' => 'frontpage-menu', 
        'container' => false, 
            'menu_class' => 'menu', 
            'menu_id'         => 'menu',
            'fallback_cb'     => 'oneline_lite_wp_page_menu'));
    }

 function oneline_lite_wp_page_menu(){
    echo '<ul class="menu" id="menu">';
    wp_list_pages(array('title_li' => ''));
    echo '</ul>';
}

// full thumb get post content
function oneline_lite_full_post_image(){

   $img_source = '';
    global $post;
  
   $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);

    if (isset($matches [1] [0])) {
        $img_source = $matches [1] [0];
    }
     if($img_source!=''){
         $permalink = get_permalink($post->ID);
        print "<a href='$permalink'><img src='$img_source' class='postimg' alt='Post Image'/></a>";
        }

}

// post content image thumbnail

function oneline_lite_post_image($width, $height) {
    $w = $width;
    $h = $height;
    global $post;

    //This is required to set to Null
    $img_source = '';
    $permalink = get_permalink($post->ID);
    $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);

    if (isset($matches [1] [0])) {
        $img_source = $matches [1] [0];
    }

    if($img_source!=''){
    $img_path = oneline_lite_image_resize($img_source, $w, $h);
    if (!empty($img_path['url'])) {
        print "<a href='$permalink'><img src='$img_path[url]' class='postimg' alt='Post Image'/></a>";
    }
  }
}

/**
 * Display navigation to next/previous post when applicable.
 *
 * @since ThemeHunk 1.0
 */

if ( ! function_exists( 'oneline_lite_post_nav' ) ) :
function oneline_lite_post_nav() {
    // Don't print empty markup if there's nowhere to navigate.
    ?>

    <nav class="navigation post-navigation" role="navigation">
        <div class="nav-links">
           <?php
              the_post_navigation( array(
                'next_text' => '<span class="meta-nav" aria-hidden="true">' . __( '%title', 'oneline-lite' ) . '</span> ' ,
                'prev_text' => '<span class="meta-nav" aria-hidden="true">' . __( '%title', 'oneline-lite' )));
                //%title
            ?>
        </div><!-- .nav-links -->
    </nav><!-- .navigation -->
    <?php
}
endif;

/**
 * custom post excerpt
 */
function oneline_lite_get_th_custom_excerpt(){
$excerpt = get_the_content();
$excerpt = preg_replace(" (\[.*?\])",'',$excerpt);
$excerpt = strip_shortcodes($excerpt);
$excerpt = strip_tags($excerpt);
$excerpt = substr($excerpt, 0, 80);
$excerpt = substr($excerpt, 0, strripos($excerpt, " "));
$excerpt = trim(preg_replace( '/\s+/', ' ', $excerpt));
$return =  '<p>'.$excerpt.'</p><span class="read-more"><a href="'.get_permalink().'" >ادامه مطلب</a></span>';
return $return;
}

// related post
  function oneline_lite_get_related_sigle_post() {
    global $post;
     $args = array(
               'category__in' => wp_get_post_categories($post->ID),
               'post__not_in' => array($post->ID),
                'post_status' => array('publish'),                         
                'meta_key' => '_thumbnail_id',
                'posts_per_page' => 3,
            );
        $my_query = new WP_Query($args);
        if ($my_query->have_posts()) {
            while ($my_query->have_posts()) : $my_query->the_post();
                ?>
               <li class="sl-related-thumbnail">
                    <div class="sl-related-thumbnail-size">
                        <?php
                       if ((function_exists('has_post_thumbnail')) && (has_post_thumbnail())) {
                            ?>
                            <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('custom-releted-post-thumb',array('class' => "postimg listing-thumbnail")); ?></a>
                            <?php
                        } else {
                            ?><a href="<?php the_permalink(); ?>"><?php oneline_lite(358, 205); ?></a>
                        <?php } ?>
                        </div>
                    <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                </li>
                <?php
            endwhile;
        }
    wp_reset_query(); // to use the original query again
}


function oneline_lite_get_my_url() {
    if ( ! preg_match( '/<a\s[^>]*?href=[\'"](.+?)[\'"]/is', get_the_content(), $matches ) ){
        return false;
    }
    return esc_url_raw( $matches[1] );
}

//pagination

function oneline_lite_pagination() {
     the_posts_pagination( array(
    'mid_size' => 2,
    'prev_text' => __( '', 'oneline-lite' ),
    'next_text' => __( '', 'oneline-lite' ),
) ); 
}


/*Number of comment*/
function oneline_lite_comment_number(){ 
 comments_popup_link(__('No Comment','oneline-lite'), __('1 Comment','oneline-lite'), __('% Comments','oneline-lite')); 
 }

function oneline_lite_svg_enable(){
    $return = '<div class="svg-top-container">
        <svg xmlns="http://www.w3.org/2000/svg" width="0" version="1.1" viewBox="0 0 100 100" preserveAspectRatio="none">
        <path d="M0 100 L100 100 L100 2 L0 100 Z" stroke-width="0"></path>
      </svg>
</div>';
return $return;
 }

function oneline_lite_postformate($default = 'standerd'){
                $find = ($default=='')?'standerd':$default;
 $formate = array('standerd'=>'fa fa-paper-plane-o', 'gallery'=>'fa fa-picture-o' , 'video' =>'fa fa-video-camera' , 'audio'=>'fa fa-music' , 'link' =>'fa fa-link','quote' => 'fa fa-quote-left' );

 return $formate[$find]; 
    
}


function oneline_lite_page_thumb(){
return wp_get_attachment_url(get_post_thumbnail_id());
}

/*
 *   Mobile device detection
 */
if( !function_exists('onlinelite_mobile_user_agent_switch') ){
    function onlinelite_mobile_user_agent_switch(){
        $device = '';
        
        if( stristr($_SERVER['HTTP_USER_AGENT'],'ipad') ) {
            $device = "ipad";
        } else if( stristr($_SERVER['HTTP_USER_AGENT'],'iphone') || strstr($_SERVER['HTTP_USER_AGENT'],'iphone') ) {
            $device = "iphone";
        } else if( stristr($_SERVER['HTTP_USER_AGENT'],'blackberry') ) {
            $device = "blackberry";
        } else if( stristr($_SERVER['HTTP_USER_AGENT'],'android') ) {
            $device = "android";
        }

        if( $device ) {
            return $device; 
        }else{
            return false;
        }
    }
}
// post-header image
$defaults = array(
    'default-image'          => '',
    'width'                  => 0,
    'height'                 => 0,
    'flex-height'            => false,
    'flex-width'             => false,
    'uploads'                => true,
    'random-default'         => false,
    'header-text'            => true,
    'default-text-color'     => '',
    'wp-head-callback'       => '',
    'admin-head-callback'    => '',
    'admin-preview-callback' => '',
);
add_theme_support( 'custom-header', $defaults );  

?>