<?php
/**
* The main template file.
*
* This is the most generic template file in a WordPress theme
* and one of the two required files for a theme (the other being style.css).
* It is used to display a page when nothing more specific matches a query. 
* E.g., it puts together the home page when no home.php file exists.
* Learn more: http://codex.wordpress.org/Template_Hierarchy
*
*/?>
<?php 
get_header(); ?>
<div class="page-title">
    <div class="svg-bottom-container" style="fill:#F7F7F7 ">
        <svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 100 100" preserveAspectRatio="none">
        <path d="M0 0 L100 0 L100 2 L0 100 Z"></path>
    </svg>
</div>
<div data-center="background-position: 50% 0px;" data-top-bottom="background-position: 50% -100px;" class="demo-image" style="background-image:url('<?php header_image(); ?>')">
    <div class="overlay-demo"></div>
    <div class="full-fs-caption">
        <div class="caption-container">
           <!--  <h2 class="title overtext"><?php the_title(); ?></h2> -->
        </div>
    </div>
</div>
<div class="svg-top-container" style="fill:#F7F7F7;">
    <svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 100 100" preserveAspectRatio="none">
    <g transform="translate(0,-952.36218)"><path d="m 0,1052.3622 100,0 0,-2 L 952.36218,100 z"></path></g>
</svg>
</div>
</div>
<div class="svg-service-bottom-container" style="fill:#F7F7F7 ">
<svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 100 100" preserveAspectRatio="none">
<path d="M0 0 L100 0 L100 2 L0 100 Z"></path>
</svg>
</div>
<div id="page" class="clearfix right">
<div class="content-wrapper">
<div class="content">
<div class="blog-content">
    <ul class="load_post standard-layout">
        <?php the_content(); ?>
        <?php
        $limit = get_option('posts_per_page');
        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
        query_posts('showposts=' . $limit . '&paged=' . $paged);
        $wp_query->is_archive = true;
        $wp_query->is_home = false;
        get_template_part('loop', 'blog');
        ?>
        <div class="clear"></div>
    </ul>
</div>
</div>
</div>
<div class="sidebar-wrapper">
<?php get_sidebar(); ?>
</div>
</div> <!--page class end -->
<div class="clear"></div>
<?php get_footer(); ?>